# Network Tokens Bulk Enrollment - V1

If you already have a set of cards that you want to enroll in Network Tokens, you may consider backbook/bulk enrollment. You will need to submit a .csv file with the required set of headers in the file, and VGS will take care of all other steps for you.

{% hint style="info" %}
Prerequisites

* You must have valid VGS aliases that point to the PAN of the cards from a production vault on your VGS dashboard.
* Enrollment in VGS Network Tokens.
* Completion of Network Tokens "Token Requester IDs (TRIDs)" registration.
* The VGS Support toggle must be enabled for your organization. VGS Support will access your organization to configure routes and access credentials for enrollment.
  {% endhint %}

## Enrollment Data Format

When you perform bulk enrollment of cards to VGS Network Tokens, the vital part is the format of your card data. Please see here for a sample file: <https://www.verygoodsecurity.com/docs/vgs\\_theme/static/vgs-nt-sample-file.csv>

The table below contains the CSV file fields, which are required or optional:

| Column Headers/Fields | Field Type | Description                                     |
| --------------------- | ---------- | ----------------------------------------------- |
| pan\_alias            | Required   | VGS alias representing the PAN                  |
| exp\_month            | Required   | Expiration month on the card                    |
| exp\_year             | Required   | Expiration year on the card                     |
| name                  | Optional   | Name of the user on the card                    |
| company               | Optional   | Company registered on the card                  |
| address1              | Optional   | Address1 of the user registered on the card     |
| address2              | Optional   | Address2 of the user registered on the card     |
| city                  | Optional   | City of the user registered on the card         |
| region                | Optional   | Region of the user registered on the card       |
| country               | Optional   | Country of the user registered on the card      |
| postal\_code          | Optional   | Postal Code of the user registered on the card  |
| phone                 | Optional   | Phone Number of the user registered on the card |

{% hint style="warning" %}
The header row is required for all columns/fields. Data for optional columns/fields can be left empty.
{% endhint %}

## Sending VGS your Enrollment Data

You will need to submit a CSV file to VGS for us to process your backbook/bulk enrollment of your cards. VGS will create an SFTP connection specific to your organization and share the credentials with you. To get started, contact <support@verygoodsecurity.com> and provide the information below.

{% stepper %}
{% step %}

### Provide organization details to <support@verygoodsecurity.com>

Include the following in your message:

* Organization Name
* VGS Organization ID
* VGS PROD Vault ID
* Contact Email
* Contact Phone
  {% endstep %}

{% step %}

### Receive SFTP credentials

VGS Support will share the SFTP credentials in a protected link with the contact email provided, typically within 48 hours.
{% endstep %}

{% step %}

### Upload your CSV

Use the provided SFTP credentials to upload your CSV file to the designated location.
{% endstep %}

{% step %}

### File processing and response

Once the file is processed, a response file will be generated in the same SFTP location. VGS Support will notify the contact email when processing starts/completes.

You can see a sample response file here: <https://www.verygoodsecurity.com/docs/vgs\\_theme/static/vgs-nt-processed-sample.csv>

If you have issues connecting to SFTP or need troubleshooting, reach out to <support@verygoodsecurity.com>.
{% endstep %}
{% endstepper %}

## Next Steps

{% stepper %}
{% step %}
Submit your backbook enrollment using the CSV file format specified and inform VGS support at <support@verygoodsecurity.com>.
{% endstep %}

{% step %}
VGS Support will notify the contact email provided once the file is processed. Processing starts within 48 hours; completion time depends on the number of cards to be enrolled.
{% endstep %}

{% step %}
After bulk enrollment of your existing cards, continue enrolling/provisioning Network Tokens for new cards using the Single Card enrollment/provisioning method: enroll-network-token.md
{% endstep %}
{% endstepper %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verygoodsecurity.com/cmp/developer-resources/api/credential-management-v1-apis-calm/network-tokens-v1/network-tokens-api-v1/network-tokens-bulk-enrollment-v1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
